package com.hxhq.business.enums.zykgl;

/**
 * 借阅状态 1:未借用  5:借用中
 * @author tanfei
 */
public enum zcgJyztEnum {

    /**
     * 未借用
     */
    wjy(1, "未借用"),

    /**
     * 借用中
     */
    jyz(5, "借用中");

    private int value;
    private String text;

    zcgJyztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static zcgJyztEnum getEnumByValue(int type) {
        for (zcgJyztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
